%define name anuga
%define version 1.3.6
%define unmangled_version 1.3.6
%define unmangled_version 1.3.6
%define release 1

Summary: A set of python modules for tsunami and flood modelling
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Stephen Roberts <stephen.roberts@anu.edu.au>
Url: http://anuga.anu.edu.au

%description
.. image:: https://travis-ci.org/stoiver/anuga_core.svg?branch=master
    :target: https://travis-ci.org/stoiver/anuga_core

=====
AnuGA
=====

.. contents::

What is AnuGA?
--------------

AnuGA (pronounced "AHNooGAH") is open-source software for the simulation of
the shallow water equation, in particular it can be used to model tsunamis
and floods.

AnuGA is a python package with some C extensions (and an optional 
fortran extension). At present AnuGA has not been ported to python 3. 
We recommend using python 2.7  

Developed at the Risk Assessment Methods Project at Geoscience
Australia and Mathematical Sciences Institute at the Australian
National University.


Copyright 2004, 2005, 2006, 2015 
Ole Nielsen, Stephen Roberts, Duncan Gray, Jane Sexton, Gareth Davies


Installation
------------

For installation instructions, see ``INSTALL.rst``.


Documentation
-------------

AnuGA documentation is available in the user_manual folder or online

    http://anuga.anu.edu.au


Web sites
---------

The user's site is:

    http://anuga.anu.edu.au/


Mailing Lists
-------------

Please see anuga user mailing list here:

    anuga-user@lists.sourceforge.net


Latest source code
------------------

The latest development version of AnuGA's sources are is available at:

    https://github.com/stoiver/anuga_core

They can be downloaded as a zip file or using the Git client.


Bug reports
-----------

To search for bugs or report them, please use the AnuGA's Bug Tracker at:

    https://github.com/stoiver/anuga_core/issues


Developer information
---------------------

If you would like to take part in AnuGA development, take a look
at ``HACKING.rst``.


License information
-------------------

See the file ``LICENSE.txt`` for information on the history of this
software, terms & conditions for usage, and a DISCLAIMER OF ALL
WARRANTIES.





%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
